package entity

import (
	"gorm.io/gorm"
	"leafdev.top/Leaf/leaf-library-3/internal/dto"
)

type Collection struct {
	Model
	Name        string       `json:"name"`
	Workspace   *Workspace   `json:"workspace"`
	WorkspaceId dto.EntityId `json:"workspace_id"`

	DeletedAt gorm.DeletedAt `json:"deleted_at"`
}

func (*Collection) TableName() string {
	return "collections"
}
